# $Id: perl-MP3-Tag.spec 6447 2008-08-19 04:04:05Z dag $
# Authority: dag
# Upstream: Ilya Zakharevich <cpan$ilyaz,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name MP3-Tag

Summary: Module for reading tags of MP3 audio files
Name: perl-MP3-Tag
Version: 0.9710
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/MP3-Tag/

Source: http://www.cpan.org/modules/by-module/MP3/MP3-Tag-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Module for reading tags of MP3 audio files.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README.shrink README.txt TODO examples/
%doc %{_mandir}/man1/audio_rename.1*
%doc %{_mandir}/man1/mp3info2.1*
%doc %{_mandir}/man1/typeset_audio_dir.1*
%doc %{_mandir}/man3/MP3::Tag.3pm*
%doc %{_mandir}/man3/MP3::Tag::*.3pm*
%{_bindir}/audio_rename
%{_bindir}/mp3info2
%{_bindir}/typeset_audio_dir
%dir %{perl_vendorlib}/MP3/
%{perl_vendorlib}/MP3/ID3v2-Data.pod
%{perl_vendorlib}/MP3/Tag/
%{perl_vendorlib}/MP3/Tag.pm

%changelog
* Tue Aug 19 2008 Dag Wieers <dag@wieers.com> - 0.9710-1 #6447
- Initial package. (using DAR)
